## lpia-linux-restricted-modules 2.6.28-2.1

=== ubuntu-restricted/broadcom/Makefile ===

#
# Makefile fragment for Linux 2.6
# Broadcom 802.11abg Networking Device Driver
#
# Copyright 2008, Broadcom Corporation
# All Rights Reserved.
# 
#      Unless you and Broadcom execute a separate written software license
# agreement governing use of this software, this software is licensed to you
# under the terms of the GNU General Public License version 2, available at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html (the "GPL"), with the
# following added to such license:
#      As a special exception, the copyright holders of this software give you
# permission to link this software with independent modules, regardless of the
# license terms of these independent modules, and to copy and distribute the
# resulting executable under terms of your choice, provided that you also meet,
# for each linked independent module, the terms and conditions of the license
# of that module. An independent module is a module which is not derived from
# this software.
# 
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
# the contents of this file may not be disclosed to third parties, copied
# or duplicated in any form, in whole or in part, without the prior
# written permission of Broadcom Corporation.
#
# $Id: Makefile_kbuild_portsrc,v 1.1.2.4 2008/05/02 18:33:39 Exp $

obj-m              += wl.o

wl-objs            := 
wl-objs            += src/wl/sys/wl_linux.o
wl-objs            += src/wl/sys/wl_iw.o
wl-objs            += src/shared/linux_osl.o
wl-objs            += lib/wlc_hybrid.o_shipped_$(ARCH)

EXTRA_CFLAGS       :=
EXTRA_CFLAGS       += -I$(src)/src/include
EXTRA_CFLAGS       += -I$(src)/src/wl/sys

## lpia-linux-restricted-modules 2.6.27-4.4

=== debian/changelog ===
lpia-linux-restricted-modules (2.6.27-4.4) intrepid; urgency=low

  * Bump ABI

 -- Amit Kucheria <amit@ubuntu.com>  Tue, 14 Oct 2008 11:50:02 +0000

lpia-linux-restricted-modules (2.6.27-3.3) intrepid; urgency=low

  * Change the source package name to work around Soyuz.
  * And correct stub in 0-common-vars.
  * In a brilliant new move, check this thing actually builds first. 
  * Drop -lpia from the first part of the package name. Gives
    linux-restricted-modules-2.6.27-3-lpia rather than
    linux-restricted-modules-lpia-2.6.27-3-lpia.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 09 Oct 2008 20:44:30 +1100

linux-restricted-modules-lpia (2.6.27-3.2) intrepid; urgency=low

  [Amit Kucheria]

  * SAUCE: Fix name of package; remove extra -lpia

 -- Amit Kucheria <amit@ubuntu.com>  Tue, 07 Oct 2008 22:12:57 +0000

linux-restricted-modules-lpia (2.6.27-3.1) intrepid; urgency=low

  [Amit Kucheria]

  * SAUCE: Just depend on l-r-m-common instead of creating our own

  [Tim Gardner]

  * wl - Use internal function wlc_iovar_setint() to set VLAN mode.

 -- Amit Kucheria <amit@ubuntu.com>  Tue, 07 Oct 2008 10:21:15 +0000

linux-restricted-modules-lpia (2.6.27-3.0) intrepid; urgency=low

  * Initial release.

 -- Amit Kucheria <amit.kucheria@canonical.com>  Sun, 28 Sep 2008 04:06:40 +0300

=== debian/control ===
Source: lpia-linux-restricted-modules
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), kernel-wedge (>= 2.05ubuntu2), module-init-tools, linux-headers-2.6.27-4-lpia [lpia], linux-headers-2.6.27-4-lpiacompat [lpia]

Package: linux-restricted-modules-2.6.27-4-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.27-4-lpia, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.27 on Intel Atom processors
 This package provides restricted modules for Linux version 2.6.27 on
 Intel Atom processors.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-lpia meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-restricted-modules-2.6.27-4-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.27-4-lpiacompat, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.27 on Intel Atom-compatible (x86) processors
 This package provides restricted modules for Linux version 2.6.27 on
 Intel Atom-compatible (x86) processors.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-lpiacompat meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Builds indep packages (e.g. firmware)
include debian/rules.d/3-binary-indep.mk

# Udeb stuff
include debian/rules.d/4-udebs.mk

# Debian Build System targets
binary: binary-arch

build: build-arch


clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -f $(stampdir)/stamp-*
	rm -rf debian/*-di
	$(MAKE) -C kconfig clean

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(release)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(release)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	install -d $(udebdir)/firmware/$(arch)
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	test ! -d debian/d-i/firmware || cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@

kconfig/kconfig:
	$(MAKE) -C kconfig kconfig

## lpia-linux-restricted-modules 2.6.28-2.1

=== debian/changelog ===
lpia-linux-restricted-modules (2.6.28-2.1) jaunty; urgency=low

  * add lpia- prefix to new changelog entries.
  * Bump ABI to track kernel.

 -- Andy Whitcroft <apw@canonical.com> Tue, 03 Feb 2009 11:25:12 +0000

lpia-linux-restricted-modules (2.6.28-1.0) jaunty; urgency=low

  * Initial release.

 -- Andy Whitcroft <apw@canonical.com>  Tue, 13 Jan 2009 22:52:46 +0000

=== debian/control ===
Source: lpia-linux-restricted-modules
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), kernel-wedge (>= 2.05ubuntu2), module-init-tools, linux-headers-2.6.28-2-lpia [lpia], linux-headers-2.6.28-2-lpiacompat [lpia]

Package: linux-restricted-modules-2.6.28-2-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-2-lpia, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on Intel Atom processors
 This package provides restricted modules for Linux version 2.6.28 on
 Intel Atom processors.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-lpia meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-restricted-modules-2.6.28-2-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-2-lpiacompat, linux-restricted-modules-common
Pre-Depends: dpkg (>= 1.10.24)
Description: Non-free Linux kernel modules for version 2.6.28 on Intel Atom-compatible (x86) processors
 This package provides restricted modules for Linux version 2.6.28 on
 Intel Atom-compatible (x86) processors.
 .
 These modules are "restricted" because they are not available under a
 completely Free licence.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-restricted-modules-lpiacompat meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,7 @@
 	rm -rf $(udebdir)
 	install -d $(udebdir)/firmware/$(arch)
 	install -d $(udebdir)/modules/$(arch)
-	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
+	test ! -d debian/d-i/modules || cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
 	test ! -d debian/d-i/firmware || cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/
 	cp debian/d-i/package-list debian/d-i/kernel-versions \
 		$(udebdir)/
